/* Estilos para el contenedor de la calculadora */
.calculator-container {
    border: 1px solid #222; /* Borde oscuro del contenedor */
    border-radius: 5px; /* Bordes redondeados */
    background-color: #1a1a1a; /* Fondo oscuro del contenedor #2e2e2e */
    margin: 0px 0px 40px 0px; /* Margen inferior de 40px */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5); /* Sombra para dar profundidad */

    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    z-index: 1001;
    width: 80%;
    max-width: 500px;
}


        /* Estilos generales para el contenedor de botones */
        .botones-calculadora {
            border: 1px solid #222; /* Borde oscuro del contenedor */
            border-radius: 8px; /* Bordes redondeados */
            background-color: #222; /* Fondo oscuro del contenedor */
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5); /* Sombra para dar profundidad */
            display: flex;
            flex-direction: column;
            align-items: center;
            gap: 30px; /* Espacio entre los botones */
            padding: 20px;
            max-width: 200px; /* Ancho máximo del contenedor */
            margin: 0 auto; /* Centrar horizontalmente */
        }

        .botones-calculadora img {
            margin-right: 8px;
            width: 24px;
            height: 24px;
        }

/* Estilo para el modal de la calculadora */
.calculator-modal {
    color: #f1f1f1; /* Color de texto blanco */
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

/* Cuadro gris para los inputs y selects */
.input-container {
    background-color: #333; /* Fondo gris para el cuadro */
    padding: 5px; /* Padding interno de 5px */
    border-radius: 5px; /* Bordes redondeados */
    margin-bottom: 15px; /* Espacio inferior para separar del siguiente elemento */
}

/* Estilo para los inputs y selects dentro del cuadro gris */
.input-container label {
    font-size: 15px;
    margin-bottom: 5px; /* Espacio inferior reducido */
    display: block;
    color: #f1f1f1; /* Color blanco para las etiquetas */
}

.h2-comversor{
    font-size: 20px;
    margin-bottom: 5px; /* Espacio inferior reducido */
    display: block;
    color: #ffffff; /* Color blanco para las etiquetas */
}

.input-container select,
.input-container input[type="number"],
.input-container input[type="text"] {
    width: calc(100% - 20px); /* Ajusta el ancho teniendo en cuenta el padding */
    padding: 8px; /* Padding interno de 8px */
    margin-bottom: 10px; /* Espacio inferior ajustado */
    border: none; /* Sin borde */
    border-bottom: 1px solid #fff; /* Línea blanca en la parte inferior */
    background-color: #333; /* Fondo gris para el cuadro */
    color: #f1f1f1; /* Color blanco para el texto de los inputs y selects */
    font-size: 16px;
}

/* Estilo para el botón del dropdown */
.dropbtn {
    background-color: #333;
    color: #f1f1f1; /* Color blanco para el texto del botón */
    border: none;
    padding: 10px; /* Padding interno de 10px */
    width: 100%;
    text-align: left;
    cursor: pointer;
    border-radius: 3px; /* Bordes redondeados */
}

/* Contenido del dropdown */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #444; /* Fondo gris oscuro para el dropdown */
    min-width: 100%; /* Ancho mínimo, afecta la percepción del tamaño del dropdown */
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3); /* Sombra que da sensación de profundidad y altura */
    z-index: 1;
    border-radius: 3px; /* Bordes redondeados */
}

/* Estilo para la última opción del dropdown */
.dropdown-option:last-child {
    border-bottom: none;
}

/* Estilo de las opciones cuando se pasa el mouse */
.dropdown-option:hover {
    background-color: #555; /* Fondo gris más claro al pasar el mouse */
}

/* Estilos para el botón de calcular */
.calculator-modal input[type="button"] {
    width: calc(100% - 20px); /* Ajusta el ancho teniendo en cuenta el padding */
    padding: 8px; /* Padding interno de 8px */
    margin-bottom: 10px; /* Espacio inferior ajustado */
    border: none; /* Sin borde */
    border-radius: 5px; /* Bordes redondeados */
    background-color: #00594d; /*#00493f; Fondo verde para el botón */
    color: #f1f1f1; /* Color blanco para el texto del botón */
    cursor: pointer; /* Cursor en forma de mano */
}

.calculator-modal input[type="button"]:hover {
    background-color: #003731; /* Fondo verde más oscuro al pasar el mouse */
}

/* Estilos para el panel flotante */
#overlay_2 {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: none;
    z-index: 1000;
}


.btn-calculadora {
    left:200px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 10px 20px;
    width: 250px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    font-weight: bold;
    color: white;
    background-color: #00594d; /*#00493f;*/
    border: 2px solid white;
    border-radius: 12px;
    text-decoration: none;
    cursor: pointer;
    text-align: center;
    transition: background-color 0.3s, border-color 0.3s;
}

.btn-calculadora:hover {
    background-color: rgba(255, 255, 255, 0.1);
    border-color: rgba(255, 255, 255, 0.5);
}

/* Estilo para el botón de calcular en el modal */
#calcularBtn {
    background-color: #00594d; /*#00493f;*/
    color: white;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 5px;
}

#calcularBtn:hover {
    background-color: #003731;
}
